import { Connection, Keypair } from '@solana/web3.js';
import { SignOnlySigner, Signer, UnsignedTransaction } from '@wormhole-foundation/connect-sdk';
import { Network } from '@wormhole-foundation/sdk-base/src';
import { SolanaChains } from '../types';
export declare function getSolanaSigner(rpc: Connection, privateKey: string): Promise<Signer>;
export declare class SolanaSigner<N extends Network, C extends SolanaChains = 'Solana'> implements SignOnlySigner<N, C> {
    private _chain;
    private _keypair;
    constructor(_chain: C, _keypair: Keypair);
    chain(): C;
    address(): string;
    sign(tx: UnsignedTransaction[]): Promise<any[]>;
}
//# sourceMappingURL=signer.d.ts.map